clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::HoverInfo::Param Struct Reference

Represents parameters of a function, a template or a macro. More...

`#include <Hover.h>`

Collaboration diagram for clang::clangd::HoverInfo::Param:
[legend]

## Public Attributes
llvm::Optional< std::string > | Type
| The pretty-printed parameter type, e.g. More...
llvm::Optional< std::string > | Name
| None for unnamed parameters. More...
llvm::Optional< std::string > | Default
| None if no default is provided. More...

## Detailed Description

Represents parameters of a function, a template or a macro.

For example:

- void foo(ParamType Name = DefaultValue)
- #define FOO(Name)
- template <ParamType name="DefaultType"> class Foo {};

Definition at line 30 of file Hover.h.

## Member Data Documentation

## ◆ Default

llvm::Optional<std::string> clang::clangd::HoverInfo::Param::Default

None if no default is provided.

Definition at line 37 of file Hover.h.

Referenced by clang::clangd::operator<<(), and clang::clangd::operator==().

## ◆ Name

llvm::Optional<std::string> clang::clangd::HoverInfo::Param::Name

None for unnamed parameters.

Definition at line 35 of file Hover.h.

Referenced by clang::clangd::operator<<(), and clang::clangd::operator==().

## ◆ Type

llvm::Optional<std::string> clang::clangd::HoverInfo::Param::Type

The pretty-printed parameter type, e.g.

"int", or "typename" (in TemplateParameters), might be None for macro parameters.

Definition at line 33 of file Hover.h.

Referenced by clang::clangd::operator<<(), and clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- Hover.h